## McdManager McdManager — Manager class representing Telepathy connection manager |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <mcd-manager.h>

                        McdManager;
    McdManager*         mcd_manager_new                     (McManager *mc_manager,
                                                             McdPresenceFrame *pframe,
                                                             McdDispatcher *dispatcher,
                                                             TpDBusDaemon *dbus_daemon);
    gboolean            mcd_manager_add_account             (McdManager *manager,
                                                             McAccount *account);
    gboolean            mcd_manager_can_handle_account      (McdManager *manager,
                                                             McAccount *account);
    McAccount*          mcd_manager_get_account_by_name     (McdManager *manager,
                                                             const gchar *account_name);
    gboolean            mcd_manager_remove_account          (McdManager *manager,
                                                             McAccount *account);
    const GList*        mcd_manager_get_accounts            (McdManager *manager);
    McdConnection*      mcd_manager_get_account_connection  (McdManager *manager,
                                                             McAccount *account);
    gboolean            mcd_manager_request_channel         (McdManager *manager,
                                                             const struct mcd_channel_request *req,
                                                             GError **error);
    gboolean            mcd_manager_cancel_channel_request  (McdManager *manager,
                                                             guint operation_id,
                                                             const gchar *requestor_client_pid,
                                                             GError **error);
    McdConnection*      mcd_manager_get_connection          (McdManager *manager,
                                                             const gchar *object_path);

## Object Hierarchy

      GObject
       +----McdMission
             +----McdOperation
                   +----McdManager

## Properties

      "accounts"                 gpointer              : Read
      "dbus-daemon"              TpDBusDaemon*         : Read / Write / Construct
      "dispatcher"               McdDispatcher*        : Read / Write / Construct Only
      "mc-manager"               McManager*            : Read / Write / Construct Only
      "presence-frame"           McdPresenceFrame*     : Read / Write / Construct Only

## Signals

      "account-added"                                  : Run First
      "account-removed"                                : Run First

## Description

FIXME

## Details

### McdManager

    typedef struct _McdManager McdManager;

### mcd_manager_new ()

    McdManager*         mcd_manager_new                     (McManager *mc_manager,
                                                             McdPresenceFrame *pframe,
                                                             McdDispatcher *dispatcher,
                                                             TpDBusDaemon *dbus_daemon);

`mc_manager` : |
`pframe` : |
`dispatcher` : |
`dbus_daemon` : |
Returns : |

### mcd_manager_add_account ()

    gboolean            mcd_manager_add_account             (McdManager *manager,
                                                             McAccount *account);

`manager` : |
`account` : |
Returns : |

### mcd_manager_can_handle_account ()

    gboolean            mcd_manager_can_handle_account      (McdManager *manager,
                                                             McAccount *account);

`manager` : |
`account` : |
Returns : |

### mcd_manager_get_account_by_name ()

    McAccount*          mcd_manager_get_account_by_name     (McdManager *manager,
                                                             const gchar *account_name);

`manager` : |
`account_name` : |
Returns : |

### mcd_manager_remove_account ()

    gboolean            mcd_manager_remove_account          (McdManager *manager,
                                                             McAccount *account);

`manager` : |
`account` : |
Returns : |

### mcd_manager_get_accounts ()

    const GList*        mcd_manager_get_accounts            (McdManager *manager);

`manager` : |
Returns : |

### mcd_manager_get_account_connection ()

    McdConnection*      mcd_manager_get_account_connection  (McdManager *manager,
                                                             McAccount *account);

`manager` : |
`account` : |
Returns : |

### mcd_manager_request_channel ()

    gboolean            mcd_manager_request_channel         (McdManager *manager,
                                                             const struct mcd_channel_request *req,
                                                             GError **error);

`manager` : |
`req` : |
`error` : |
Returns : |

### mcd_manager_cancel_channel_request ()

    gboolean            mcd_manager_cancel_channel_request  (McdManager *manager,
                                                             guint operation_id,
                                                             const gchar *requestor_client_pid,
                                                             GError **error);

`manager` : |
`operation_id` : |
`requestor_client_pid` : |
`error` : |
Returns : |

### mcd_manager_get_connection ()

    McdConnection*      mcd_manager_get_connection          (McdManager *manager,
                                                             const gchar *object_path);

`manager` : |
`object_path` : |
Returns : |

## Property Details

### The `"accounts"` property

      "accounts"                 gpointer              : Read

List of accounts associated with this manager.

### The `"dbus-daemon"` property

      "dbus-daemon"              TpDBusDaemon*         : Read / Write / Construct

DBus daemon.

### The `"dispatcher"` property

      "dispatcher"               McdDispatcher*        : Read / Write / Construct Only

Channel dispatcher object.

### The `"mc-manager"` property

      "mc-manager"               McManager*            : Read / Write / Construct Only

McManager Object which this manager uses.

### The `"presence-frame"` property

      "presence-frame"           McdPresenceFrame*     : Read / Write / Construct Only

Presence frame Object used by connections to update presence.

## Signal Details

### The `"account-added"` signal

    void                user_function                      (McdManager *mcdmanager,
                                                            GObject    *arg1,
                                                            gpointer    user_data)       : Run First

`mcdmanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"account-removed"` signal

    void                user_function                      (McdManager *mcdmanager,
                                                            GObject    *arg1,
                                                            gpointer    user_data)       : Run First

`mcdmanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.